org.apache.cassandra.cql3.statements

## Interface MultiColumnRestriction

All Superinterfaces:
  Restriction

All Known Subinterfaces:
  MultiColumnRestriction.IN

All Known Implementing Classes:
  MultiColumnRestriction.EQ, MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, MultiColumnRestriction.Slice

    public interface MultiColumnRestriction
    extends Restriction

### Nested Class Summary

Nested Classes
`static class` `MultiColumnRestriction.EQ`
`static interface` `MultiColumnRestriction.IN`
`static class` `MultiColumnRestriction.InWithMarker` An IN restriction that uses a single marker for a set of IN values that are tuples.
`static class` `MultiColumnRestriction.InWithValues` An IN restriction that has a set of terms for in values.
`static class` `MultiColumnRestriction.Slice`

### Method Summary

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isContains, isEQ, isIN, isMultiColumn, isOnToken, isSlice, values`